micro_utils.dokka
0.15.1

# Package-level declarations

## Types

AbstractStandardViewHolder
Link copied to clipboard
abstract class AbstractStandardViewHolder<T>(inflater: LayoutInflater, container: ViewGroup?, viewId: Int, onViewInflated: (View) -> Unit? = null) : AbstractViewHolder<T>
AbstractViewHolder
Link copied to clipboard
abstract class AbstractViewHolder<in T>(view: View) : RecyclerView.ViewHolder
RecyclerViewAdapter
Link copied to clipboard
abstract class RecyclerViewAdapter<T> : RecyclerView.Adapter<AbstractViewHolder<T>>
StateFlowBasedRecyclerViewAdapter
Link copied to clipboard
abstract class StateFlowBasedRecyclerViewAdapter<T>(listeningScope: CoroutineScope, dataState: StateFlow<List<T>>) : RecyclerViewAdapter<T>

## Functions

lastVisibleItemFlow
Link copied to clipboard
fun RecyclerView.lastVisibleItemFlow(completingScope: CoroutineScope): Flow<Int>
mapLeftItems
Link copied to clipboard
inline fun Flow<Int>.mapLeftItems(crossinline countGetter: () -> Int): Flow<Int>
mapRequireFilling
Link copied to clipboard
inline fun Flow<Int>.mapRequireFilling(minimalLeftItems: Int, crossinline countGetter: () -> Int): Flow<Int>
inline fun RecyclerView.mapRequireFilling(minimalLeftItems: Int, completingScope: CoroutineScope, crossinline countGetter: () -> Int): Flow<Int>
RecyclerViewAdapter
Link copied to clipboard
fun <T> RecyclerViewAdapter(data: List<T>, onCreateViewHolder: (parent: ViewGroup, viewType: Int) -> AbstractViewHolder<T>): RecyclerViewAdapter<T>

## Properties

recyclerViewItemsDecoration
Link copied to clipboard
val Context.recyclerViewItemsDecoration: DividerItemDecoration